[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ResetDefaultColWidths

Restores the default width for columns in the grid.

## Declaration

Source position: grids.pas line 1167

`protected procedure TCustomGrid.ResetDefaultColWidths; virtual;`

## Description

ResetDefaultColWidths updates an internal member with the list of column widths currently in use for the grid. The width for each column is set to -1 to indicate that an explicit value has not been assigned for the column width.

ResetDefaultColWidths calls the VisualChange method after resetting the column widths to their default values. No actions are performed in the method when AutoFillColumns contains True.

## See also

TCustomGrid.VisualChange |  | Updates the grid after changes to the visual properties in the control.
TCustomGrid.AutoFillColumns |  | Indicates whether columns are automatically resized to fill the visible area in the grid.